{
    "objects": [
        {
            "attributes": {
                "description": "This PostgreSQL dashboard shows the most important database related metrics.\n\n",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "optionsJSON": "{\"hidePanelTitles\": false, \"useMargins\": true}",
                "panelsJSON": "[{\"gridData\": {\"x\": 0, \"i\": \"1\", \"w\": 24, \"y\": 6, \"h\": 13}, \"panelRefName\": \"panel_0\", \"panelIndex\": \"1\", \"embeddableConfig\": {\"title\": \"Query Latency\"}, \"version\": \"7.3.1\", \"title\": \"Query Latency\"}, {\"gridData\": {\"x\": 24, \"i\": \"2\", \"w\": 24, \"y\": 0, \"h\": 12}, \"panelRefName\": \"panel_1\", \"panelIndex\": \"2\", \"embeddableConfig\": {\"title\": \"Database Transactions\"}, \"version\": \"7.3.1\", \"title\": \"Database Transactions\"}, {\"gridData\": {\"x\": 0, \"i\": \"3\", \"w\": 24, \"y\": 19, \"h\": 10}, \"panelRefName\": \"panel_2\", \"panelIndex\": \"3\", \"embeddableConfig\": {\"title\": \"Fileblock IO\"}, \"version\": \"7.3.1\", \"title\": \"Fileblock IO\"}, {\"gridData\": {\"x\": 10, \"i\": \"4\", \"w\": 14, \"y\": 0, \"h\": 6}, \"panelRefName\": \"panel_3\", \"panelIndex\": \"4\", \"embeddableConfig\": {\"title\": \"Rows Fetched/Returned\"}, \"version\": \"7.3.1\", \"title\": \"Rows Fetched/Returned\"}, {\"gridData\": {\"x\": 24, \"i\": \"5\", \"w\": 24, \"y\": 22, \"h\": 9}, \"panelRefName\": \"panel_4\", \"panelIndex\": \"5\", \"embeddableConfig\": {\"title\": \"Rows Inserted/Deleted/Updated\"}, \"version\": \"7.3.1\", \"title\": \"Rows Inserted/Deleted/Updated\"}, {\"gridData\": {\"x\": 0, \"i\": \"6\", \"w\": 24, \"y\": 29, \"h\": 11}, \"panelRefName\": \"panel_5\", \"panelIndex\": \"6\", \"embeddableConfig\": {\"title\": \"Conflict/Deadlock Rates\"}, \"version\": \"7.3.1\", \"title\": \"Conflict/Deadlock Rates\"}, {\"gridData\": {\"x\": 0, \"i\": \"7\", \"w\": 10, \"y\": 0, \"h\": 6}, \"panelRefName\": \"panel_6\", \"panelIndex\": \"7\", \"embeddableConfig\": {\"title\": \"Database Filter\"}, \"version\": \"7.3.1\", \"title\": \"Database Filter\"}, {\"gridData\": {\"x\": 24, \"i\": \"8\", \"w\": 24, \"y\": 12, \"h\": 10}, \"panelRefName\": \"panel_7\", \"panelIndex\": \"8\", \"embeddableConfig\": {\"title\": \"Top Queries\"}, \"version\": \"7.3.1\", \"title\": \"Top Queries\"}, {\"gridData\": {\"x\": 24, \"i\": \"9\", \"w\": 12, \"y\": 31, \"h\": 9}, \"panelRefName\": \"panel_8\", \"panelIndex\": \"9\", \"embeddableConfig\": {\"title\": \"Local block cache stats\"}, \"version\": \"7.3.1\", \"title\": \"Local block cache stats\"}, {\"gridData\": {\"x\": 36, \"i\": \"10\", \"w\": 12, \"y\": 31, \"h\": 9}, \"panelRefName\": \"panel_9\", \"panelIndex\": \"10\", \"embeddableConfig\": {\"title\": \"Shared block cache stats\"}, \"version\": \"7.3.1\", \"title\": \"Shared block cache stats\"}]",
                "timeRestore": false,
                "title": "[Metricbeat PostgreSQL] Database Overview",
                "version": 1
            },
            "id": "4288b790-b79f-11e9-a579-f5c0a5d81340",
            "migrationVersion": {
                "dashboard": "7.3.0"
            },
            "references": [
                {
                    "id": "fbfa67e0-b796-11e9-a579-f5c0a5d81340",
                    "name": "panel_0",
                    "type": "visualization"
                },
                {
                    "id": "d733c630-b797-11e9-a579-f5c0a5d81340",
                    "name": "panel_1",
                    "type": "visualization"
                },
                {
                    "id": "570973a0-b798-11e9-a579-f5c0a5d81340",
                    "name": "panel_2",
                    "type": "visualization"
                },
                {
                    "id": "66d67200-b799-11e9-a579-f5c0a5d81340",
                    "name": "panel_3",
                    "type": "visualization"
                },
                {
                    "id": "20931ef0-b79a-11e9-a579-f5c0a5d81340",
                    "name": "panel_4",
                    "type": "visualization"
                },
                {
                    "id": "960ecdf0-b79a-11e9-a579-f5c0a5d81340",
                    "name": "panel_5",
                    "type": "visualization"
                },
                {
                    "id": "98e6b0a0-b79b-11e9-a579-f5c0a5d81340",
                    "name": "panel_6",
                    "type": "visualization"
                },
                {
                    "id": "147875b0-b903-11e9-a579-f5c0a5d81340",
                    "name": "panel_7",
                    "type": "visualization"
                },
                {
                    "id": "0cb65170-b909-11e9-a579-f5c0a5d81340",
                    "name": "panel_8",
                    "type": "visualization"
                },
                {
                    "id": "e2b28ce0-b908-11e9-a579-f5c0a5d81340",
                    "name": "panel_9",
                    "type": "visualization"
                }
            ],
            "type": "dashboard",
            "updated_at": "2020-02-06T12:05:20.696Z",
            "version": "WzQzNTYsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "title": "Query Latency [Metricbeat PostgreSQL] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"Query Latency [Metricbeat PostgreSQL] ECS\", \"params\": {\"id\": \"919c5570-b796-11e9-8ed3-ef1959e6b366\", \"filter\": {\"query\": \"\", \"language\": \"kuery\"}, \"series\": [{\"terms_order_by\": \"919c7c80-b796-11e9-8ed3-ef1959e6b366\", \"id\": \"919c5571-b796-11e9-8ed3-ef1959e6b366\", \"filter\": {\"query\": \"not postgresql.statement.query.text : (\\\"BEGIN;\\\" or \\\"begin\\\" or \\\"commit\\\" or \\\"end\\\" or \\\"END;\\\" or \\\"SELECT * FROM pg_stat_statements\\\" or \\\"SELECT * FROM pg_stat_database\\\" or \\\"SELECT * FROM pg_stat_bgwriter\\\" or \\\"SELECT * FROM pg_stat_activity\\\")\", \"language\": \"kuery\"}, \"terms_field\": \"postgresql.statement.query.text\", \"color\": \"rgba(0,156,224,1)\", \"separate_axis\": 0, \"axis_position\": \"right\", \"fill\": \"0.1\", \"value_template\": \"{{value}}\", \"metrics\": [{\"id\": \"919c7c80-b796-11e9-8ed3-ef1959e6b366\", \"field\": \"postgresql.statement.query.time.total.ms\", \"type\": \"max\"}, {\"unit\": \"1s\", \"id\": \"9e553c60-b79f-11e9-9029-a9d302b79ec2\", \"field\": \"919c7c80-b796-11e9-8ed3-ef1959e6b366\", \"type\": \"derivative\"}, {\"unit\": \"\", \"id\": \"a58b6590-b79f-11e9-9029-a9d302b79ec2\", \"field\": \"9e553c60-b79f-11e9-9029-a9d302b79ec2\", \"type\": \"positive_only\"}], \"terms_size\": \"10\", \"formatter\": \"number\", \"split_color_mode\": \"rainbow\", \"chart_type\": \"line\", \"line_width\": 2, \"label\": \"Query Latency\", \"split_mode\": \"terms\", \"type\": \"timeseries\", \"point_size\": 0, \"stacked\": \"none\"}], \"default_index_pattern\": \"metricbeat-*\", \"axis_formatter\": \"number\", \"axis_position\": \"left\", \"show_grid\": 1, \"time_field\": \"@timestamp\", \"index_pattern\": \"metricbeat-*\", \"default_timefield\": \"@timestamp\", \"show_legend\": 1, \"interval\": \"auto\", \"isModelInvalid\": false, \"axis_scale\": \"normal\", \"type\": \"timeseries\"}, \"type\": \"metrics\"}"
            },
            "id": "fbfa67e0-b796-11e9-a579-f5c0a5d81340",
            "migrationVersion": {
                "visualization": "7.4.2"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2020-02-06T11:59:01.903Z",
            "version": "WzQzNTAsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "title": "Database Transactions [Metricbeat PostgreSQL] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"Database Transactions [Metricbeat PostgreSQL] ECS\", \"params\": {\"id\": \"7af01590-b797-11e9-8816-2992f1df7a62\", \"filter\": {\"query\": \"\", \"language\": \"kuery\"}, \"series\": [{\"id\": \"7af01591-b797-11e9-8816-2992f1df7a62\", \"chart_type\": \"line\", \"color\": \"rgba(104,188,0,1)\", \"separate_axis\": 0, \"axis_position\": \"right\", \"point_size\": 0, \"value_template\": \"{{value}}\", \"metrics\": [{\"id\": \"7af01592-b797-11e9-8816-2992f1df7a62\", \"field\": \"postgresql.database.transactions.commit\", \"type\": \"max\"}, {\"unit\": \"1s\", \"id\": \"7af01594-b797-11e9-8816-2992f1df7a62\", \"field\": \"7af01592-b797-11e9-8816-2992f1df7a62\", \"type\": \"derivative\"}, {\"id\": \"7af01593-b797-11e9-8816-2992f1df7a62\", \"field\": \"7af01594-b797-11e9-8816-2992f1df7a62\", \"type\": \"positive_only\"}], \"formatter\": \"number\", \"split_mode\": \"everything\", \"fill\": 0, \"line_width\": 2, \"label\": \"committed\", \"type\": \"timeseries\", \"stacked\": \"none\"}, {\"id\": \"7af01595-b797-11e9-8816-2992f1df7a62\", \"chart_type\": \"line\", \"color\": \"rgba(254,146,0,1)\", \"separate_axis\": 0, \"axis_position\": \"right\", \"point_size\": 0, \"value_template\": \"{{value}}\", \"metrics\": [{\"id\": \"7af01596-b797-11e9-8816-2992f1df7a62\", \"field\": \"postgresql.database.transactions.rollback\", \"type\": \"max\"}, {\"unit\": \"1s\", \"id\": \"7af01598-b797-11e9-8816-2992f1df7a62\", \"field\": \"7af01596-b797-11e9-8816-2992f1df7a62\", \"type\": \"derivative\"}, {\"id\": \"7af01597-b797-11e9-8816-2992f1df7a62\", \"field\": \"7af01598-b797-11e9-8816-2992f1df7a62\", \"type\": \"positive_only\"}], \"formatter\": \"number\", \"split_mode\": \"everything\", \"fill\": 0, \"line_width\": 2, \"label\": \"rolled back\", \"type\": \"timeseries\", \"stacked\": \"none\"}], \"default_index_pattern\": \"metricbeat-*\", \"axis_formatter\": \"number\", \"axis_position\": \"left\", \"show_grid\": 1, \"time_field\": \"@timestamp\", \"index_pattern\": \"metricbeat-*\", \"default_timefield\": \"@timestamp\", \"show_legend\": 1, \"interval\": \"auto\", \"isModelInvalid\": false, \"axis_scale\": \"normal\", \"type\": \"timeseries\"}, \"type\": \"metrics\"}"
            },
            "id": "d733c630-b797-11e9-a579-f5c0a5d81340",
            "migrationVersion": {
                "visualization": "7.4.2"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2020-02-05T15:49:18.236Z",
            "version": "WzQzMTIsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "title": "Fileblock IO Rate [Metricbeat PostgreSQL] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"Fileblock IO Rate [Metricbeat PostgreSQL] ECS\", \"params\": {\"id\": \"fbc27280-b797-11e9-b46b-4f80f005c4a5\", \"filter\": {\"query\": \"\", \"language\": \"kuery\"}, \"series\": [{\"id\": \"fbc27281-b797-11e9-b46b-4f80f005c4a5\", \"chart_type\": \"line\", \"color\": \"rgba(252,196,0,1)\", \"separate_axis\": 0, \"axis_position\": \"right\", \"point_size\": 0, \"value_template\": \"{{value}} ms\", \"metrics\": [{\"id\": \"fbc27282-b797-11e9-b46b-4f80f005c4a5\", \"field\": \"postgresql.database.blocks.time.read.ms\", \"type\": \"max\"}, {\"unit\": \"1s\", \"id\": \"fbc27284-b797-11e9-b46b-4f80f005c4a5\", \"field\": \"fbc27282-b797-11e9-b46b-4f80f005c4a5\", \"type\": \"derivative\"}, {\"id\": \"fbc27283-b797-11e9-b46b-4f80f005c4a5\", \"field\": \"fbc27284-b797-11e9-b46b-4f80f005c4a5\", \"type\": \"positive_only\"}], \"formatter\": \"number\", \"split_mode\": \"everything\", \"fill\": 0, \"line_width\": 2, \"label\": \"read\", \"type\": \"timeseries\", \"stacked\": \"none\"}, {\"id\": \"fbc27285-b797-11e9-b46b-4f80f005c4a5\", \"chart_type\": \"line\", \"color\": \"rgba(123,100,255,1)\", \"separate_axis\": 0, \"axis_position\": \"right\", \"point_size\": 0, \"value_template\": \"{{value}} ms\", \"metrics\": [{\"id\": \"fbc27286-b797-11e9-b46b-4f80f005c4a5\", \"field\": \"postgresql.database.blocks.time.write.ms\", \"type\": \"max\"}, {\"unit\": \"1s\", \"id\": \"fbc27288-b797-11e9-b46b-4f80f005c4a5\", \"field\": \"fbc27286-b797-11e9-b46b-4f80f005c4a5\", \"type\": \"derivative\"}, {\"id\": \"fbc27287-b797-11e9-b46b-4f80f005c4a5\", \"field\": \"fbc27288-b797-11e9-b46b-4f80f005c4a5\", \"type\": \"positive_only\"}], \"formatter\": \"number\", \"split_mode\": \"everything\", \"fill\": 0, \"line_width\": 2, \"label\": \"write\", \"type\": \"timeseries\", \"stacked\": \"none\"}], \"default_index_pattern\": \"metricbeat-*\", \"axis_formatter\": \"number\", \"axis_position\": \"left\", \"show_grid\": 1, \"time_field\": \"@timestamp\", \"index_pattern\": \"metricbeat-*\", \"default_timefield\": \"@timestamp\", \"show_legend\": 1, \"interval\": \"auto\", \"isModelInvalid\": false, \"axis_scale\": \"normal\", \"type\": \"timeseries\"}, \"type\": \"metrics\"}"
            },
            "id": "570973a0-b798-11e9-a579-f5c0a5d81340",
            "migrationVersion": {
                "visualization": "7.4.2"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2020-02-05T19:01:54.390Z",
            "version": "WzQzMjQsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "title": "Rows Fetched/Returned [Metricbeat PostgreSQL] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"Rows Fetched/Returned [Metricbeat PostgreSQL] ECS\", \"params\": {\"axis_formatter\": \"number\", \"id\": \"a6981ed0-b798-11e9-a598-8baa89257193\", \"filter\": {\"query\": \"\", \"language\": \"kuery\"}, \"interval\": \"auto\", \"background_color_rules\": [{\"id\": \"bec42b70-b798-11e9-af2f-3be5a91b64a6\"}], \"default_index_pattern\": \"metricbeat-*\", \"show_legend\": 1, \"axis_position\": \"left\", \"gauge_width\": 10, \"show_grid\": 1, \"time_field\": \"@timestamp\", \"index_pattern\": \"metricbeat-*\", \"default_timefield\": \"@timestamp\", \"gauge_color_rules\": [{\"id\": \"ada89790-b798-11e9-af2f-3be5a91b64a6\"}], \"gauge_inner_width\": 10, \"series\": [{\"id\": \"a6981ed1-b798-11e9-a598-8baa89257193\", \"filter\": {\"query\": \"\", \"language\": \"kuery\"}, \"color\": \"rgba(164,221,0,1)\", \"separate_axis\": 0, \"axis_position\": \"right\", \"fill\": 0, \"value_template\": \"{{value}}\", \"metrics\": [{\"id\": \"a6981ed2-b798-11e9-a598-8baa89257193\", \"field\": \"postgresql.database.rows.returned\", \"percentiles\": [{\"shade\": 0.2, \"id\": \"b507cc90-b798-11e9-af2f-3be5a91b64a6\", \"mode\": \"line\", \"value\": 50}], \"type\": \"max\"}, {\"unit\": \"1\", \"id\": \"ed6f33d0-b8ff-11e9-8645-31d6a6d28728\", \"field\": \"a6981ed2-b798-11e9-a598-8baa89257193\", \"type\": \"derivative\"}, {\"unit\": \"\", \"id\": \"f58b9e50-b8ff-11e9-8645-31d6a6d28728\", \"field\": \"ed6f33d0-b8ff-11e9-8645-31d6a6d28728\", \"type\": \"positive_only\"}], \"formatter\": \"'0.0 a'\", \"split_mode\": \"everything\", \"chart_type\": \"line\", \"line_width\": 2, \"label\": \"Rows Returned\", \"type\": \"timeseries\", \"point_size\": 0, \"stacked\": \"none\"}, {\"id\": \"a6981ed3-b798-11e9-a598-8baa89257193\", \"chart_type\": \"line\", \"color\": \"rgba(0,156,224,1)\", \"separate_axis\": 0, \"axis_position\": \"right\", \"point_size\": 0, \"value_template\": \"{{value}}\", \"metrics\": [{\"id\": \"a6981ed4-b798-11e9-a598-8baa89257193\", \"field\": \"postgresql.database.rows.fetched\", \"type\": \"max\"}, {\"unit\": \"1s\", \"id\": \"064737e0-b900-11e9-8645-31d6a6d28728\", \"field\": \"a6981ed4-b798-11e9-a598-8baa89257193\", \"type\": \"derivative\"}, {\"unit\": \"\", \"id\": \"0fea1b50-b900-11e9-8645-31d6a6d28728\", \"field\": \"064737e0-b900-11e9-8645-31d6a6d28728\", \"type\": \"positive_only\"}], \"formatter\": \"number\", \"split_mode\": \"everything\", \"fill\": 0, \"line_width\": 2, \"label\": \"Rows Fetched\", \"type\": \"timeseries\", \"stacked\": \"none\"}], \"isModelInvalid\": false, \"axis_scale\": \"normal\", \"type\": \"timeseries\", \"gauge_style\": \"half\", \"bar_color_rules\": [{\"id\": \"cc80b5d0-b798-11e9-af2f-3be5a91b64a6\"}]}, \"type\": \"metrics\"}"
            },
            "id": "66d67200-b799-11e9-a579-f5c0a5d81340",
            "migrationVersion": {
                "visualization": "7.4.2"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2020-02-06T11:56:03.315Z",
            "version": "WzQzNDYsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "title": "Rows Inserted/Deleted/Updated [Metricbeat PostgreSQL] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"Rows Inserted/Deleted/Updated [Metricbeat PostgreSQL] ECS\", \"params\": {\"id\": \"fc474800-b799-11e9-bfa6-bd2fe13c0445\", \"filter\": {\"query\": \"\", \"language\": \"kuery\"}, \"series\": [{\"id\": \"fc474801-b799-11e9-bfa6-bd2fe13c0445\", \"chart_type\": \"line\", \"color\": \"#3185FC\", \"separate_axis\": 0, \"axis_position\": \"right\", \"point_size\": 0, \"value_template\": \"{{value}}/s\", \"metrics\": [{\"id\": \"fc474802-b799-11e9-bfa6-bd2fe13c0445\", \"field\": \"postgresql.database.rows.inserted\", \"type\": \"max\"}, {\"unit\": \"1s\", \"id\": \"fc474804-b799-11e9-bfa6-bd2fe13c0445\", \"field\": \"fc474802-b799-11e9-bfa6-bd2fe13c0445\", \"type\": \"derivative\"}, {\"id\": \"fc474803-b799-11e9-bfa6-bd2fe13c0445\", \"field\": \"fc474804-b799-11e9-bfa6-bd2fe13c0445\", \"type\": \"positive_only\"}], \"formatter\": \"number\", \"split_mode\": \"everything\", \"fill\": 0, \"line_width\": 2, \"label\": \"inserted\", \"stacked\": \"none\"}, {\"id\": \"fc474805-b799-11e9-bfa6-bd2fe13c0445\", \"chart_type\": \"line\", \"color\": \"#DB1374\", \"separate_axis\": 0, \"axis_position\": \"right\", \"point_size\": 0, \"value_template\": \"{{value}}/s\", \"metrics\": [{\"id\": \"fc474806-b799-11e9-bfa6-bd2fe13c0445\", \"field\": \"postgresql.database.rows.deleted\", \"type\": \"max\"}, {\"unit\": \"1s\", \"id\": \"fc474808-b799-11e9-bfa6-bd2fe13c0445\", \"field\": \"fc474806-b799-11e9-bfa6-bd2fe13c0445\", \"type\": \"derivative\"}, {\"id\": \"fc474807-b799-11e9-bfa6-bd2fe13c0445\", \"field\": \"fc474808-b799-11e9-bfa6-bd2fe13c0445\", \"type\": \"positive_only\"}], \"formatter\": \"number\", \"split_mode\": \"everything\", \"fill\": 0, \"line_width\": 2, \"label\": \"deleted\", \"stacked\": \"none\"}, {\"id\": \"fc476f10-b799-11e9-bfa6-bd2fe13c0445\", \"chart_type\": \"line\", \"color\": \"#00B3A4\", \"separate_axis\": 0, \"axis_position\": \"right\", \"point_size\": 0, \"value_template\": \"{{value}}/s\", \"metrics\": [{\"id\": \"fc476f11-b799-11e9-bfa6-bd2fe13c0445\", \"field\": \"postgresql.database.rows.updated\", \"type\": \"max\"}, {\"unit\": \"1s\", \"id\": \"fc476f13-b799-11e9-bfa6-bd2fe13c0445\", \"field\": \"fc476f11-b799-11e9-bfa6-bd2fe13c0445\", \"type\": \"derivative\"}, {\"id\": \"fc476f12-b799-11e9-bfa6-bd2fe13c0445\", \"field\": \"fc476f13-b799-11e9-bfa6-bd2fe13c0445\", \"type\": \"positive_only\"}], \"formatter\": \"number\", \"split_mode\": \"everything\", \"fill\": 0, \"line_width\": 2, \"label\": \"updated\", \"stacked\": \"none\"}], \"default_index_pattern\": \"metricbeat-*\", \"axis_formatter\": \"number\", \"axis_position\": \"left\", \"show_grid\": 1, \"time_field\": \"@timestamp\", \"index_pattern\": \"metricbeat-*\", \"default_timefield\": \"@timestamp\", \"show_legend\": 1, \"interval\": \"auto\", \"isModelInvalid\": false, \"axis_scale\": \"normal\", \"type\": \"timeseries\"}, \"type\": \"metrics\"}"
            },
            "id": "20931ef0-b79a-11e9-a579-f5c0a5d81340",
            "migrationVersion": {
                "visualization": "7.4.2"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2020-02-06T12:01:45.205Z",
            "version": "WzQzNTMsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "title": "Conflict/Deadlock Rates [Metricbeat PostgreSQL] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"Conflict/Deadlock Rates [Metricbeat PostgreSQL] ECS\", \"params\": {\"id\": \"6c90db30-b79a-11e9-a8f0-d7983cd3d871\", \"filter\": {\"query\": \"\", \"language\": \"kuery\"}, \"series\": [{\"id\": \"6c90db31-b79a-11e9-a8f0-d7983cd3d871\", \"chart_type\": \"line\", \"color\": \"rgba(12,121,125,1)\", \"separate_axis\": 0, \"axis_position\": \"right\", \"point_size\": 0, \"value_template\": \"{{value}}\", \"metrics\": [{\"id\": \"6c90db32-b79a-11e9-a8f0-d7983cd3d871\", \"field\": \"postgresql.database.conflicts\", \"type\": \"avg\"}, {\"unit\": \"1s\", \"id\": \"6c90db34-b79a-11e9-a8f0-d7983cd3d871\", \"field\": \"6c90db32-b79a-11e9-a8f0-d7983cd3d871\", \"type\": \"derivative\"}, {\"id\": \"6c90db33-b79a-11e9-a8f0-d7983cd3d871\", \"field\": \"6c90db34-b79a-11e9-a8f0-d7983cd3d871\", \"type\": \"positive_only\"}], \"formatter\": \"number\", \"split_mode\": \"everything\", \"fill\": 0, \"line_width\": 2, \"label\": \"conflicts\", \"type\": \"timeseries\", \"stacked\": \"none\"}, {\"id\": \"6c90db35-b79a-11e9-a8f0-d7983cd3d871\", \"chart_type\": \"line\", \"color\": \"rgba(244,78,59,1)\", \"separate_axis\": 0, \"axis_position\": \"right\", \"point_size\": 0, \"value_template\": \"{{value}}\", \"metrics\": [{\"id\": \"6c90db36-b79a-11e9-a8f0-d7983cd3d871\", \"field\": \"postgresql.database.deadlocks\", \"type\": \"avg\"}, {\"unit\": \"1s\", \"id\": \"6c90db38-b79a-11e9-a8f0-d7983cd3d871\", \"field\": \"6c90db36-b79a-11e9-a8f0-d7983cd3d871\", \"type\": \"derivative\"}, {\"id\": \"6c90db37-b79a-11e9-a8f0-d7983cd3d871\", \"field\": \"6c90db38-b79a-11e9-a8f0-d7983cd3d871\", \"type\": \"positive_only\"}], \"formatter\": \"number\", \"split_mode\": \"everything\", \"fill\": 0, \"line_width\": 2, \"label\": \"deadlocks\", \"type\": \"timeseries\", \"stacked\": \"none\"}], \"default_index_pattern\": \"metricbeat-*\", \"axis_formatter\": \"number\", \"axis_position\": \"left\", \"show_grid\": 1, \"time_field\": \"@timestamp\", \"index_pattern\": \"metricbeat-*\", \"default_timefield\": \"@timestamp\", \"show_legend\": 1, \"interval\": \"auto\", \"isModelInvalid\": false, \"axis_scale\": \"normal\", \"type\": \"timeseries\"}, \"type\": \"metrics\"}"
            },
            "id": "960ecdf0-b79a-11e9-a579-f5c0a5d81340",
            "migrationVersion": {
                "visualization": "7.4.2"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2020-02-05T15:46:52.411Z",
            "version": "WzQzMDgsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "title": "Database Filter [Metricbeat PostgreSQL] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"Database Filter [Metricbeat PostgreSQL] ECS\", \"params\": {\"pinFilters\": false, \"controls\": [{\"fieldName\": \"postgresql.database.name\", \"id\": \"1549397251041\", \"type\": \"list\", \"label\": \"database\", \"options\": {\"dynamicOptions\": true, \"multiselect\": false, \"order\": \"desc\", \"size\": 5, \"type\": \"terms\"}, \"indexPatternRefName\": \"control_0_index_pattern\", \"parent\": \"\"}], \"updateFiltersOnChange\": true, \"useTimeFilter\": true}, \"type\": \"input_control_vis\"}"
            },
            "id": "98e6b0a0-b79b-11e9-a579-f5c0a5d81340",
            "migrationVersion": {
                "visualization": "7.4.2"
            },
            "references": [
                {
                    "id": "metricbeat-*",
                    "name": "control_0_index_pattern",
                    "type": "index-pattern"
                }
            ],
            "type": "visualization",
            "updated_at": "2020-01-22T13:56:51.268Z",
            "version": "WzQwMjgsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "title": "Query Calls Count [Metricbeat PostgreSQL] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"Query Calls Count [Metricbeat PostgreSQL] ECS\", \"params\": {\"filter\": {\"query\": \"\", \"language\": \"kuery\"}, \"series\": [{\"terms_size\": \"20\", \"id\": \"2bc5fea1-b902-11e9-8b8c-f99be54b4271\", \"filter\": {\"query\": \"not postgresql.statement.query.text : (\\\"BEGIN;\\\" or \\\"begin\\\" or \\\"commit\\\" or \\\"end\\\" or \\\"END;\\\" or \\\"SELECT * FROM pg_stat_statements\\\" or \\\"SELECT * FROM pg_stat_database\\\" or \\\"SELECT * FROM pg_stat_bgwriter\\\" or \\\"SELECT * FROM pg_stat_activity\\\")\", \"language\": \"kuery\"}, \"terms_field\": \"postgresql.statement.query.text\", \"color\": \"rgba(22,165,165,1)\", \"separate_axis\": 0, \"axis_position\": \"right\", \"fill\": 0, \"value_template\": \"{{value}}\", \"metrics\": [{\"id\": \"2bc5fea2-b902-11e9-8b8c-f99be54b4271\", \"field\": \"postgresql.statement.query.calls\", \"type\": \"avg\"}], \"formatter\": \"'0a'\", \"split_mode\": \"terms\", \"chart_type\": \"line\", \"line_width\": 2, \"label\": \"Number of times the query has been run\", \"terms_order_by\": \"2bc5fea2-b902-11e9-8b8c-f99be54b4271\", \"type\": \"timeseries\", \"point_size\": 0, \"stacked\": \"none\"}], \"gauge_width\": 10, \"default_index_pattern\": \"metricbeat-*\", \"pivot_id\": \"postgresql.statement.query.text\", \"axis_position\": \"left\", \"show_grid\": 1, \"time_field\": \"@timestamp\", \"index_pattern\": \"metricbeat-*\", \"default_timefield\": \"@timestamp\", \"show_legend\": 1, \"interval\": \"auto\", \"isModelInvalid\": false, \"pivot_type\": \"string\", \"id\": \"2bc5fea0-b902-11e9-8b8c-f99be54b4271\", \"background_color_rules\": [{\"id\": \"d3cc2560-484b-11ea-a805-d7a3b4bc3300\"}], \"axis_formatter\": \"number\", \"time_range_mode\": \"entire_time_range\", \"gauge_color_rules\": [{\"id\": \"d22727f0-484b-11ea-a805-d7a3b4bc3300\"}], \"gauge_inner_width\": 10, \"type\": \"top_n\", \"axis_scale\": \"normal\", \"gauge_style\": \"half\", \"bar_color_rules\": [{\"id\": \"6da7d6e0-b902-11e9-9f00-7b1f283b2282\"}]}, \"type\": \"metrics\"}"
            },
            "id": "147875b0-b903-11e9-a579-f5c0a5d81340",
            "migrationVersion": {
                "visualization": "7.4.2"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2020-02-06T12:04:42.628Z",
            "version": "WzQzNTUsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "title": "Local block cache stats [Metricbeat PostgreSQL] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"Local block cache stats [Metricbeat PostgreSQL] ECS\", \"params\": {\"id\": \"8f49dbd0-b908-11e9-a256-6d0ec934f3f9\", \"filter\": {\"query\": \"\", \"language\": \"kuery\"}, \"series\": [{\"id\": \"8f49dbd1-b908-11e9-a256-6d0ec934f3f9\", \"chart_type\": \"line\", \"color\": \"#3185FC\", \"separate_axis\": 0, \"axis_position\": \"right\", \"point_size\": 0, \"value_template\": \"{{value}}\", \"metrics\": [{\"id\": \"8f49dbd2-b908-11e9-a256-6d0ec934f3f9\", \"field\": \"postgresql.statement.query.memory.local.hit\", \"type\": \"max\"}, {\"unit\": \"1s\", \"id\": \"8f49dbd4-b908-11e9-a256-6d0ec934f3f9\", \"field\": \"8f49dbd2-b908-11e9-a256-6d0ec934f3f9\", \"type\": \"derivative\"}, {\"unit\": \"\", \"id\": \"8f49dbd3-b908-11e9-a256-6d0ec934f3f9\", \"field\": \"8f49dbd2-b908-11e9-a256-6d0ec934f3f9\", \"type\": \"positive_only\"}], \"formatter\": \"number\", \"split_mode\": \"everything\", \"fill\": 0, \"line_width\": 2, \"label\": \"cache hits\", \"stacked\": \"none\"}, {\"id\": \"8f49dbd5-b908-11e9-a256-6d0ec934f3f9\", \"chart_type\": \"line\", \"color\": \"#DB1374\", \"separate_axis\": 0, \"axis_position\": \"right\", \"point_size\": 0, \"value_template\": \"{{value}}\", \"metrics\": [{\"id\": \"8f49dbd6-b908-11e9-a256-6d0ec934f3f9\", \"field\": \"postgresql.statement.query.memory.local.read\", \"type\": \"max\"}, {\"unit\": \"1s\", \"id\": \"8f49dbd8-b908-11e9-a256-6d0ec934f3f9\", \"field\": \"8f49dbd6-b908-11e9-a256-6d0ec934f3f9\", \"type\": \"derivative\"}, {\"unit\": \"\", \"id\": \"8f49dbd7-b908-11e9-a256-6d0ec934f3f9\", \"field\": \"8f49dbd6-b908-11e9-a256-6d0ec934f3f9\", \"type\": \"positive_only\"}], \"formatter\": \"number\", \"split_mode\": \"everything\", \"fill\": 0, \"line_width\": 2, \"label\": \"cache read\", \"stacked\": \"none\"}], \"default_index_pattern\": \"metricbeat-*\", \"axis_formatter\": \"number\", \"axis_position\": \"left\", \"show_grid\": 1, \"time_field\": \"@timestamp\", \"index_pattern\": \"metricbeat-*\", \"default_timefield\": \"@timestamp\", \"show_legend\": 1, \"interval\": \"auto\", \"axis_scale\": \"normal\", \"type\": \"timeseries\"}, \"type\": \"metrics\"}"
            },
            "id": "0cb65170-b909-11e9-a579-f5c0a5d81340",
            "migrationVersion": {
                "visualization": "7.4.2"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2020-01-22T13:56:51.268Z",
            "version": "WzQwMzAsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "title": "Shared block cache stats [Metricbeat PostgreSQL] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"Shared block cache stats [Metricbeat PostgreSQL] ECS\", \"params\": {\"id\": \"8f49dbd0-b908-11e9-a256-6d0ec934f3f9\", \"filter\": {\"query\": \"\", \"language\": \"kuery\"}, \"series\": [{\"id\": \"8f49dbd1-b908-11e9-a256-6d0ec934f3f9\", \"chart_type\": \"line\", \"color\": \"#3185FC\", \"separate_axis\": 0, \"axis_position\": \"right\", \"point_size\": 0, \"value_template\": \"{{value}}\", \"metrics\": [{\"id\": \"8f49dbd2-b908-11e9-a256-6d0ec934f3f9\", \"field\": \"postgresql.statement.query.memory.shared.hit\", \"type\": \"max\"}, {\"unit\": \"1s\", \"id\": \"8f49dbd4-b908-11e9-a256-6d0ec934f3f9\", \"field\": \"8f49dbd2-b908-11e9-a256-6d0ec934f3f9\", \"type\": \"derivative\"}, {\"id\": \"8f49dbd3-b908-11e9-a256-6d0ec934f3f9\", \"field\": \"8f49dbd4-b908-11e9-a256-6d0ec934f3f9\", \"type\": \"positive_only\"}], \"formatter\": \"number\", \"split_mode\": \"everything\", \"fill\": 0, \"line_width\": 2, \"label\": \"cache hits\", \"stacked\": \"none\"}, {\"id\": \"8f49dbd5-b908-11e9-a256-6d0ec934f3f9\", \"chart_type\": \"line\", \"color\": \"#DB1374\", \"separate_axis\": 0, \"axis_position\": \"right\", \"point_size\": 0, \"value_template\": \"{{value}}\", \"metrics\": [{\"id\": \"8f49dbd6-b908-11e9-a256-6d0ec934f3f9\", \"field\": \"postgresql.statement.query.memory.shared.read\", \"type\": \"max\"}, {\"unit\": \"1s\", \"id\": \"8f49dbd8-b908-11e9-a256-6d0ec934f3f9\", \"field\": \"8f49dbd6-b908-11e9-a256-6d0ec934f3f9\", \"type\": \"derivative\"}, {\"id\": \"8f49dbd7-b908-11e9-a256-6d0ec934f3f9\", \"field\": \"8f49dbd8-b908-11e9-a256-6d0ec934f3f9\", \"type\": \"positive_only\"}], \"formatter\": \"number\", \"split_mode\": \"everything\", \"fill\": 0, \"line_width\": 2, \"label\": \"cache read\", \"stacked\": \"none\"}], \"default_index_pattern\": \"metricbeat-*\", \"axis_formatter\": \"number\", \"axis_position\": \"left\", \"show_grid\": 1, \"time_field\": \"@timestamp\", \"index_pattern\": \"metricbeat-*\", \"default_timefield\": \"@timestamp\", \"show_legend\": 1, \"interval\": \"auto\", \"axis_scale\": \"normal\", \"type\": \"timeseries\"}, \"type\": \"metrics\"}"
            },
            "id": "e2b28ce0-b908-11e9-a579-f5c0a5d81340",
            "migrationVersion": {
                "visualization": "7.4.2"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2020-01-22T13:56:51.268Z",
            "version": "WzQwMzEsMV0="
        }
    ],
    "version": "7.3.1"
}